# Class Source | AnthropicClient
Represents a base class for sources.

# Class Source

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a base class for sources.

    public abstract class Source

Inheritance
  object
  Source

Derived
  Base64Source
  CustomSource
  FileSource
  TextSource
  UrlSource

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### Source(string)

Initializes a new instance of the Source class.

    protected Source(string type)

#### Parameters

`type` string

  The type of the source.

## Properties

### Type

Gets the type of the source.

    public string Type { get; init; }

#### Property Value

string